# Find the ISO week number and year of a date

`POST /v1/calculate/date/iso_week`

Returns the ISO 8601 week number and the year that week belongs to (near New Year it can differ from the calendar year), the weekday (1 is Monday) and the Monday and Sunday of that week.

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| date | string | yes | An ISO date (2026-10-16) or ISO date and time |

## Example request

A request body that works, as JSON.

```json
{
  "date": "2026-10-16"
}
```

## Code samples

Replace YOUR_TOKEN with your access token.

### curl

```shell
curl -X POST 'https://api.skillfulsardine.com/v1/calculate/date/iso_week' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "date": "2026-10-16"
}'
```

### PowerShell

```powershell
$body = @'
{
  "date": "2026-10-16"
}
'@
$response = Invoke-RestMethod -Method Post -Uri 'https://api.skillfulsardine.com/v1/calculate/date/iso_week' `
  -Headers @{ Authorization = 'Bearer YOUR_TOKEN' } `
  -ContentType 'application/json; charset=utf-8' `
  -Body ([System.Text.Encoding]::UTF8.GetBytes($body))
$response | ConvertTo-Json -Depth 10
```

### Python

```python
import requests

payload = {
    "date": "2026-10-16",
}

response = requests.post(
    "https://api.skillfulsardine.com/v1/calculate/date/iso_week",
    headers={"Authorization": "Bearer YOUR_TOKEN"},
    json=payload,
    timeout=30,
)
print(response.json())
```

### JavaScript

```javascript
const response = await fetch("https://api.skillfulsardine.com/v1/calculate/date/iso_week", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "date": "2026-10-16"
}),
});
const result = await response.json();
console.log(result);
```

### Node

```javascript
// Node 18 or later. Save as call.mjs and run: API_TOKEN=... node call.mjs
const token = process.env.API_TOKEN;

const response = await fetch("https://api.skillfulsardine.com/v1/calculate/date/iso_week", {
  method: "POST",
  headers: {
    "Authorization": `Bearer ${token}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "date": "2026-10-16"
}),
});
const result = await response.json();
console.log(result);
```

### Rust

```rust
// Cargo.toml: reqwest = { version = "0.12", features = ["blocking", "json"] }, serde_json = "1"
fn main() -> Result<(), Box<dyn std::error::Error>> {
    let body: serde_json::Value = serde_json::from_str(r#"{
  "date": "2026-10-16"
}"#)?;
    let response = reqwest::blocking::Client::new()
        .post("https://api.skillfulsardine.com/v1/calculate/date/iso_week")
        .bearer_auth("YOUR_TOKEN")
        .json(&body)
        .send()?;
    println!("{}", response.text()?);
    Ok(())
}
```

### Swift

```swift
import Foundation

var request = URLRequest(url: URL(string: "https://api.skillfulsardine.com/v1/calculate/date/iso_week")!)
request.httpMethod = "POST"
request.setValue("Bearer YOUR_TOKEN", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = Data(#"""
{
  "date": "2026-10-16"
}
"""#.utf8)

let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
```

## Response

The fields inside `data` of a successful response.

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| iso_year | integer | yes | The year the ISO week belongs to |
| iso_week | integer | yes | Week number, 1 to 53 |
| iso_weekday | integer | yes | 1 is Monday, 7 is Sunday |
| week_start | string | yes | Monday of the week, as an ISO date |
| week_end | string | yes | Sunday of the week, as an ISO date |

## Example response

A real answer from the operation, as JSON. The fields in the table above are inside `data`.

```json
{
  "data": {
    "iso_year": 2026,
    "iso_week": 42,
    "iso_weekday": 5,
    "week_start": "2026-10-12",
    "week_end": "2026-10-18"
  },
  "errors": null,
  "meta": {
    "request_id": "5b87150b-07b4-4d94-9c88-25bf3ee42814",
    "timestamp": "2026-10-27T07:19:42.097454Z",
    "version": "2026-03-26"
  },
  "pagination": null
}
```

## Responses

| Status | When it happens |
| --- | --- |
| 200 | Successful Response |
| 400 | The body respects the operation schema, but the use case rejected it. Each problem is one ApiError entry |
| 413 | The request is larger than the request size limit of the API allows |
| 422 | The body does not respect the operation schema. Each problem is one ApiError entry with the code validation_error |
| 500 | Something failed inside the server and was not an input problem. The same envelope, errors may be empty |

---
Source: https://skillfulsardine.com/developers/api/iso-week/